--- /dev/null	2014-09-22 12:11:19.000000000 +0400
+++ new/usr/src/cmd/mailwrapper/Makefile	2014-09-22 12:11:19.425775562 +0400
@@ -0,0 +1,110 @@
+#
+# CDDL HEADER START
+#
+# The contents of this file are subject to the terms of the
+# Common Development and Distribution License (the "License").
+# You may not use this file except in compliance with the License.
+#
+# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
+# or http://www.opensolaris.org/os/licensing.
+# See the License for the specific language governing permissions
+# and limitations under the License.
+#
+# When distributing Covered Code, include this CDDL HEADER in each
+# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
+# If applicable, add the following below this CDDL HEADER, with the
+# fields enclosed by brackets "[]" replaced with your own identifying
+# information: Portions Copyright [yyyy] [name of copyright owner]
+#
+# CDDL HEADER END
+#
+#
+# Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
+# Copyright 2014 Alexander Pyhalov
+# Use is subject to license terms.
+#
+
+
+LIBPROG=	mailwrapper 
+
+PROG= 	       $(LIBPROG)
+
+include ../Makefile.cmd
+
+MWOBJS=		fgetln.o fparseln.o mailwrapper.o
+
+CLOBBERFILES=	$(PROG)
+CLEANFILES=	$(MWOBJS)
+
+SRCS=	 	$(MWOBJS:%.o=%.c)
+
+CPROG=		mailwrapper
+CPROGSRC= 	$(CPROG:%=_%.c)
+
+CFS=		mailer.conf
+
+ROOTETCFILES=$(CFS:%=$(ROOTETC)/%)
+
+$(ROOTETCFILES) :=	FILEMODE = 0644
+
+# installed modules
+ROOTLIBPROG=	$(LIBPROG:%=$(ROOTLIB)/%)
+
+ROOTSYMLINKS=	$(ROOTBIN)/mailq \
+		$(ROOTLIB)/sendmail \
+		$(ROOTUSRSBIN)/newaliases \
+		$(ROOTUSRSBIN)/sendmail
+
+CPPFLAGS =	-I. $(CPPFLAGS.master)
+
+LINTFLAGS	+= -erroff=E_FUNC_RET_ALWAYS_IGNOR2
+
+# conditional assignments
+#
+all:=		TARGET= all
+install:=	TARGET= install
+clean:=		TARGET= clean
+clobber:=	TARGET= clobber
+lint:=		TARGET= lint
+
+# install rules
+$(ROOTINC)/% : %
+	$(INS.file)
+
+.KEEP_STATE:
+
+.PARALLEL: $(MWOBJS) $(OBJS)
+
+all:		$(PROG) 
+
+mailwrapper:	$(MWOBJS)
+	$(LINK.c) -o $@ $(MWOBJS) $(LDLIBS)
+	$(POST_PROCESS)
+
+install: all .WAIT $(ROOTLIBPROG) $(ROOTSYMLINKS) $(ROOTETCFILES)
+
+# ROOTSYMLINKS
+#
+$(ROOTBIN)/mailq: 
+	$(RM) $@; $(SYMLINK) ../lib/mailwrapper $@
+
+$(ROOTLIB)/sendmail:
+	$(RM) $@; $(SYMLINK) mailwrapper $@
+
+$(ROOTUSRSBIN)/newaliases:
+	$(RM) $@; $(SYMLINK) ../lib/mailwrapper $@
+
+$(ROOTUSRSBIN)/sendmail:
+	$(RM) $@; $(SYMLINK) ../lib/mailwrapper $@
+
+$(ROOTETCMAIL)/%:  %
+	$(INS.file)
+
+lint: 
+	$(LINT.c) $(SRCS)
+
+clean:
+	$(RM) $(OBJS) $(MWOBJS) mailwrapper
+
+clobber: clean
+	$(RM) $(ROOTSYMLINKS) $(ROOTLIBPROG) $(ROOTETCFILES)
